Skip to content
GET/{organizationId}/{mandateId}/crm/applications/submissions/{applicationSubmissionId}/acceptance-context

Gets the context for accepting an application submission

Returns account, plan and group suggestions for application acceptance.

Required permissions:

  • mandate.read

  • applicationSubmission.edit

  • plan.read

  • contract.read

  • department.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
applicationSubmissionIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/crm/applications/submissions/{applicationSubmissionId}/acceptance-context
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/applications/submissions/{applicationSubmissionId}/acceptance-context' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

accountTypestringrequired

Options:

debtorcreditor
contactTypestringrequired

Options:

memberaddresscustomersponsorcontributoremployeesupplier

Additional properties are not allowed.

Additional properties are not allowed.

Response

200
{
  "accountType": "debtor",
  "contactType": "member",
  "applicationPlans": [
    {
      "_id": "000000000000000000000001",
      "name": "string",
      "startAt": "string",
      "endAt": "string"
    }
  ],
  "suggestedPlans": [
    {
      "_id": "000000000000000000000001",
      "name": "string",
      "startAt": "string",
      "endAt": "string",
      "reason": "string"
    }
  ],
  "suggestedGroups": {
    "lastName": "string",
    "types": [
      {
        "_id": "000000000000000000000001",
        "name": "string"
      }
    ],
    "matches": [
      {
        "_id": "000000000000000000000001",
        "name": "string",
        "matches": [
          "lastName"
        ],
        "score": -9007199254740991,
        "groups": [
          {
            "_id": "000000000000000000000001",
            "name": "string",
            "number": "string",
            "type": "000000000000000000000001",
            "locked": true
          }
        ]
      }
    ]
  }
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}